注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

NXOpen创建一个长方体  

2013-12-21 17:56:27|  分类: UG NX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
今天小试牛刀,创建了一个长方体。直接上代码:
using NXOpen;
using NXOpen.Features;
using NXOpen.GeometricUtilities;
namespace NXTest
{
   public class Class1
   {
       public static void Main()
       {
           Session nxSession = Session.GetSession();
           Part workPart = nxSession.Parts.Work;
           Feature ft = null;
           BlockFeatureBuilder bfb = workPart.Features.CreateBlockFeatureBuilder(ft);
           bfb.BooleanOption.Type = BooleanOperation.BooleanType.Create;
           bfb.Type = BlockFeatureBuilder.Types.OriginAndEdgeLengths;
           Point3d p = new Point3d(10, -20, 30);      
           bfb.SetOriginAndLengths(p, (30).ToString(), (50).ToString(), (25).ToString());
           ft = bfb.CommitFeature();
           bfb.Destroy();
           workPart.ModelingViews.WorkView.Fit();
       }
   }
}
在VS下编译通过之后,创建一个模型文件,然后Ctrl+U,载入DLL文件,效果很搓,就不截图了。现在比较坑爹的是国内外似乎都没有专门的书籍介绍如何使用其类库或者是开发的教程,亚马逊上有一本,叫做NX Open API编程技术,感兴趣的可以买来看看,不过使用的语言是VB,而且还有一些错误,下面是该书的封面:

NXOpen创建一个长方体 - Lemniscate - 信息,灵感,创新

  评论这张
 
阅读(554)| 评论(1)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016